Subject: Label user function for sys_file_reference uses HTML

Description

The label user function for sys_file_reference uses HTML which results in strange data in the workspace module, the admin log and
possibly also in other components that list sys_file_reference records in a list (see attached screenshots).

This behaviour has been introduced with this change:
https://review.typo3.org/21916

Related issues:

related to news extension - Task # 52209: Change labelfunc for media for 6.2 Resolved 2013-09-24
related to TCA Reference - Feature # 49716: label_func addition for rendering... Closed 2013-07-05
blocked by TYPO3 CMS Usability Team - Suggestion # 36052: Visual improvements... Resolved

Associated revisions

Revision 04dcfbc7 - 2013-09-24 05:16 - Philipp Gampe

[BUGFIX] Label user function for sys_file_reference uses HTML

The change 17770044c11a6c1albcb51a3bfc11b85923653196 added meta
information for the FAL IRRE headers.

It uses a definition list to show certain fields of the related record

inside the title (thus visible if collapsed).

The HTML markup leads to problems in other places of the backend, most

noteable in the workspace module.

Introduce a separate user function only for inline labels,
using the same signature as the normal label_userFunc.

Resolves: #51411

Releases: 6.2

Change-Id: 1070a9db3d009c743cb927be90a0aal3903a1bae45
Reviewed-on: https://review.typo3.org/23528

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer

History

#1 - 2013-08-28 13:42 - Markus Klein
https://review.typo3.org/21916
https://review.typo3.org/23528

What do you propose to change here?

What do you want to see as label in the Workspace Module?

I'd say we change the InlineElement.php to add another option/parameter/whatever to the userfunc called, such that the userfunc can distinguish

between normal labeling and inline labeling.

#2 - 2013-08-29 12:56 - Philipp Gampe

IMHO a bug of the inline label part ... there should be two seperate functions for labels. One for TCEfroms and one for inline labels in the backend.

#3 - 2013-08-29 12:57 - Philipp Gampe

- Status changed from New to Needs Feedback

#4 - 2013-09-01 13:39 - Gerrit Code Review

- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23528

#5 - 2013-09-01 13:42 - Philipp Gampe

- Assigned To set to Philipp Gampe

| changed this to a new config option inlineLabel_userFunc with the same signature as the label_userFunc.

The function InlineElement::renderForeignRecordHeader is only called from InlineElement::renderForeignRecord which in turn is only used to render
IRRE fields AFAICT.

That way all other places preserve the behavior.

#6 - 2013-09-01 18:31 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23528

#7 - 2013-09-01 23:56 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23528

#8 - 2013-09-02 09:03 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23528
#9 - 2013-09-17 15:34 - Ernesto Baschny
- Priority changed from Should have to Must have
- Is Regression set to No

#10 - 2013-09-18 12:05 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23528

#11 - 2013-09-24 05:30 - Philipp Gampe
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:04dcfbc72da6616552dcb2c2c676cf07ebeb33ce.
